Get custom app theme configuration for employer
curl --request GET \
--url https://api.symmetry.com/i9/v1/employers/{employerId}/applicationTheme \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/i9/v1/employers/{employerId}/applicationTheme"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/i9/v1/employers/{employerId}/applicationTheme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_app_theme": {
"alerts": {
"borderRadius": "4px",
"borderWidth": "1px",
"variants": {
"danger": {
"backgroundColor": "#fffbfb",
"borderColor": "#c53336"
},
"primary": {
"backgroundColor": "#fdfcff",
"borderColor": "#006cc1"
}
}
},
"body": {
"color": "#525257",
"fontSize": "16px"
},
"buttons": {
"borderRadius": "4px",
"variants": {
"default": {
"borderColor": "#1c1c1c"
},
"primary": {
"activeBackgroundColor": "#005c5c",
"backgroundColor": "#0A8080"
}
}
},
"formControl": {
"borderColor": "#929292",
"borderRadius": "4px",
"focusBorderColor": "#005c5c"
},
"headings": {
"h1": {
"color": "#262626",
"fontSize": "32px",
"fontWeight": "500"
},
"h2": {
"color": "#000fff",
"fontSize": "50px",
"fontWeight": "500"
}
},
"link": {
"color": "#0a8080",
"decoration": "underline",
"hoverColor": "#005c5c",
"hoverDecoration": "underline"
}
}
}Get custom app theme configuration for employer
Retrieves the current custom app theme configuration for the specified employer. Returns the theme configuration stored in WorkBright, or null if no theme is configured.
GET
/
v1
/
employers
/
{employerId}
/
applicationTheme
Get custom app theme configuration for employer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the employer
Response
Successfully retrieved custom app theme
Custom app theme configuration response
Custom app theme configuration object
Show child attributes
Show child attributes
⌘I

